### Method

# Shumate VectorReaderIter read_layer_by_name

unstable since: 1.2

#### Declaration [src]

    gboolean
    shumate_vector_reader_iter_read_layer_by_name (
      ShumateVectorReaderIter* self,
      const char* name
    )

#### Description [src]

Moves the iterator to the layer with the given name, if present.

If the layer is not found, the current layer will be set to `NULL` and the function will return `FALSE`. Layers are typically omitted if they are empty, so don’t assume that a layer in the schema will always be present.

The iterator’s current feature will be `NULL` after calling this function; use `shumate_vector_reader_iter_next_feature()` to advance to the first feature in the layer.

Available since: 1.2

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the layer was found, `FALSE` otherwise.